{% extends 'core.html' %} 

{% block title %}Iniciar Sesión{% endblock title %} 
{% load crispy_forms_tags %}

{% block content %}
<div class="container" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
    <div class="card text-center align-middle">
        <div class="card-header bg-dark text-white">
            Inicio de Sesión
        </div>
        <div class="card-body">
            {% if form.errors %}
            <div class="alert alert-warning" role="alert">El usuario o la contraseña es incorrecto. Intentelo de nuevo!</div>
            {% endif %}

            <form method="POST" action="{% url 'login' %}">
                {% csrf_token %}
                <div class="row">
                    <div class="col-6">
                        {{ form.username|as_crispy_field }}
                    </div>
                    <div class="col-6">
                        {{ form.password|as_crispy_field }}
                    </div>
                </div>
                <button type="submit" class="btn btn-warning ">Iniciar Sesión</button>
            </form>

        </div>
        <div class="card-footer">
            <a class="nav-link text-muted" href="{% url 'password_reset'%}">¿Olvidaste tu contraseña? </a>
        </div>
    </div>
</div>
{% endblock %}